Skip to content
登录 注册

Google Events API

从 Google Events 检索结构化事件数据。设置 engine=google_events 并传入类似 “Events in Paris” 的搜索短语,即可获取指定地区即将举行的活动的精选列表。

GET https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyes您的 SERP API 密钥
enginestringyes必须为 google_events
qstringyes事件搜索查询
devicestringnodesktopmobiletablet
google_domainstringno要使用的 Google 域名
locationstringno地理定位位置名称
uulestringnoGoogle 编码的位置字符串
hlstringno界面语言代码
glstringno国家/地区代码
Terminal window
curl "https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France"
{
"search_metadata": { "status": "Success" },
"search_parameters": {
"engine": "google_events",
"q": "Events in Paris, France",
"google_domain": "google.com"
},
"events_results": [
{
"title": "Paris Fashion Week",
"date": {
"start_date": "Feb 27",
"when": "Tue, Feb 27, 10:00 AM - Tue, Mar 5, 6:00 PM"
},
"address": ["Paris, France"],
"link": "https://www.example.com/event/...",
"venue": { "name": "Le Grand Palais", "rating": 4.6 },
"thumbnail": "https://..."
}
]
}